CVE-2007-1099

NameCVE-2007-1099
Descriptiondbclient in Dropbear SSH client before 0.49 does not sufficiently warn the user when it detects a hostkey mismatch, which might allow remote attackers to conduct man-in-the-middle attacks.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs412899

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
dropbear (PTS)bullseye2020.81-3+deb11u1fixed
bookworm2022.83-1+deb12u1fixed
trixie2024.85-2fixed
sid2024.85-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
dropbearsourceetch0.48.1-2unimportant
dropbearsource(unstable)0.49-1unimportant412899

Notes

That's a lack of a security feature (strict hostkey checking in openssh
termininoloy) and an awkward interface, but not a vulnerability per se
Especially as dropbear is specifically labeled a stripped down SSH implementation

Search for package or bug name: Reporting problems